Subject: Re: wmb vs mmiowb

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 23 Aug 2007 09:27:15 +0200

> Of course, the normal memory barrier would usually be a "spin_unlock()" or 
> something like that, not a "wmb()". In fact, I don't think the powerpc 
> implementation (as an example of this) will actually synchronize with 
> anything *but* a spin_unlock().

We are even more sneaky in the sense that we set a per-cpu flag on any
MMIO write and do the sync automatically in spin_unlock() :-)

Ben.